import { OnDestroy, OnInit } from '@angular/core';
import { TransactionPurchaseLineBaseComponent } from './transaction-purchase-line-base.component';
import { StatusBarCfgNames } from '../../../interface/status-bar-cfg-names.interface';
import { LineDiscountCfgNames } from '../../../interface/line-discount-cfg-names.interface';
export declare class TransactionPurchaseLineComponent extends TransactionPurchaseLineBaseComponent implements OnInit, OnDestroy {
    showConfirmedDeliveryDate: boolean;
    lineIndex: number;
    showClass(): boolean;
    statusBarConfigNames: StatusBarCfgNames;
    discountConfigNames: LineDiscountCfgNames;
    transactionLineSelectedChanged(selected: boolean): void;
    handleReservationModeClick(lineNr: number): void;
    handleIconClick(mouseEvent: MouseEvent): Promise<void>;
    openReservationPopup(lineNr: number): void;
}
